package com.gh.gamecenter.xapk.core

import com.gh.gamecenter.xapk.XApkUnZipTask
import com.gh.gamecenter.xapk.pi.IPackageInstaller

interface XApkUnZipTaskCallback {

    fun onProgress(task: XApkUnZipTask, progress: Float)

    fun onSuccess(task: XApkUnZipTask, installer: IPackageInstaller)

    fun onError(task: XApkUnZipTask, exception: Throwable)

    fun onCancel(task: XApkUnZipTask)

    fun onNext(task: XApkUnZipTask, fileName: String)
}